Subject: RE: MPC8641 based custom board Kernel stuck at 1000Mhz core clock

From: "[email-masked]" <[email-masked]>
Date: Sat, 3 May 2014 16:40:04 +0000

hi thanks for your reply. the problem is still there. At 800MHZ core its working fine but for 1Ghz its still happening. 

Any suggestion or check point I can monitor.

From: sanjeev sharma
Sent: ‎02‎ ‎May‎ ‎2014 ‎09‎:‎22
To: Ashish
CC: Valdis Kletnieks; [email-masked]; [email-masked]; kernelnewbies
Subject: Re: MPC8641 based custom board Kernel stuck at 1000Mhz core clock

Hello Ashish,

is this issue resolved and is this always happening when you are changing core to 1Ghz because i am confused here with sometime Keyword.

Regards
Sanjeev Sharma

On Fri, Apr 4, 2014 at 1:12 PM, Ashish <[email-masked]> wrote:

On Thursday 03 April 2014 08:55 AM, sanjeev sharma wrote:

Are you able to capture kernel logs ?

Regards
Sanjeev Sharma

On Thu, Mar 27, 2014 at 10:01 PM, <[email-masked]> wrote:

On Thu, 27 Mar 2014 16:04:37 +0530, Ashish said:
> Hi,
>
>   I am using MPC8641-HPCN based custom board and able to boot linux at
> MPX clock 400Mhz and core clock 800mhz. When I am increasing core
> frequency ie MPX clock at 400Mhz and core at 1Ghz, kernel stuck.

Step 0:  Prove to us that your core actually runs reliable and stably at 1Ghz.

Step 1: Figure out *where* it gets stuck.  If you have earlyprintk working on
your board, adding 'initcall_debug ignore_loglevel' to the kernel cmdline often
helps track down where a kernel hangs during boot.

_______________________________________________
Kernelnewbies mailing list
[email-masked]
http://lists.kernelnewbies.org/mailman/listinfo/kernelnewbies

Hi, 
Does kernel logs means debugging information that kernel prints while booting using printk or it is something else?
Here is kernel boot logs that kernel printed while booting...

U-Boot 2013.04 (Jan 27 2014 - 11:21:21) 
 
Unicore software on multiprocessor system!! 
To enable mutlticore build define CONFIG_MP 
CPU:   8641, Version: 2.1, (0x80900021) 
Core:  E600 Core 0, Version: 2.2, (0x80040202) 
Clock Configuration: 
       CPU:1000 MHz, MPX:400  MHz 
       DDR:200  MHz (400 MT/s data rate), LBC:25   MHz 
L1:    D-cache 32 KB enabled 
       I-cache 32 KB enabled 
L2:    512 KB enabled 
Board: MPC8641-HPCN
I2C:   ready 
DRAM:  512 MiB 
SDRAM test phase 1: 
SDRAM test phase 2: 
SDRAM test passed. 
Flash: 16 MiB 
EEPROM: NXID v1 
In:    serial 
Out:   serial 
Err:   serial 
Net:   eTSEC1, eTSEC2, eTSEC3, eTSEC4 [PRIME] 
Hit any key to stop autoboot: 
Speed: 1000, full duplex 
Using eTSEC4 device 
TFTP from server 192.168.10.1; our IP address is 192.168.10.2 
Filename 'uRamdisk'. 
Load address: 0x600000 
Loading: * ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################################# 
     ################################################## 
     13.1 MiB/s 
done 
Bytes transferred = 22680188 (15a127c hex) 
Speed: 1000, full duplex 
Using eTSEC4 device 
TFTP from server 192.168.10.1; our IP address is 192.168.10.2 
Filename 'uImage'. 
Load address: 0x16000000 
Loading: * ################################################################# 
     ################################################################# 
     ####################################### 
     14 MiB/s 
done 
Bytes transferred = 2476304 (25c910 hex) 
Speed: 1000, full duplex 
Using eTSEC4 device 
TFTP from server 192.168.10.1; our IP address is 192.168.10.2 
Filename 'mpc8641_hpcn.dtb'. 
Load address: 0x14000000 
Loading: * # 
     2.6 MiB/s 
done 
Bytes transferred = 5540 (15a4 hex) 
## Booting kernel from Legacy Image at 16000000 ... 
   Image Name:   Linux-3.13.6 
   Image Type:   PowerPC Linux Kernel Image (gzip compressed) 
   Data Size:    2476240 Bytes = 2.4 MiB 
   Load Address: 00000000 
   Entry Point:  00000000 
   Verifying Checksum ... OK 
## Loading init Ramdisk from Legacy Image at 00600000 ... 
   Image Name:   rootfs 
   Image Type:   PowerPC Linux RAMDisk Image (gzip compressed) 
   Data Size:    22680124 Bytes = 21.6 MiB 
   Load Address: 00000000 
   Entry Point:  00000000 
   Verifying Checksum ... OK 
## Flattened Device Tree blob at 14000000 
   Booting using the fdt blob at 0x14000000 
   Uncompressing Kernel Image ... OK 
   Loading Ramdisk to 1e923000, end 1fec423c ... OK 
   Loading Device Tree to 007fb000, end 007ff5a3 ... OK    (some times it stucking here) 
Using MPC86xx HPCN machine description 
Total memory = 512MB; using 1024kB for hash table (at cff00000) 
Linux version 3.13.6 (ashish@ashish-VirtualBox) (gcc version 4.7.2 (GCC) ) #8 Sat Mar 29 10:31:58 IST 2014 
Found initrd at 0xde923000:0xdfec423c 
bootconsole [udbg0] enabled 
setup_arch: bootmem 
mpc86xx_hpcn_setup_arch() 
MPC86xx HPCN board from Freescale Semiconductor 
arch: exit 
Zone ranges: 
  DMA      [mem 0x00000000-0x1fffffff] 
  Normal   empty 
  HighMem  empty 
Movable zone start for each node 
Early memory node ranges 
  node   0: [mem 0x00000000-0x1fffffff]         (some times here)